Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#24908 - amarok 2.4.1-2 crash when start

Attached to Project: Arch Linux
Opened by Carlos (cyberconan) - Monday, 27 June 2011, 13:28 GMT
Last edited by Andrea Scarpino (BaSh) - Monday, 27 June 2011, 23:07 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To Andrea Scarpino (BaSh)
Architecture x86_64
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 16
Private No

Details

Description: Amarok version 2.4.1-2 don't start.

[karl@CyberConan Descargas]$ amarok
KGlobal::locale::Warning your global KLocale is being recreated with a valid main component instead of a fake component, this usually means you tried to call i18n related functions before your main component was created. You should not do that since it most likely will not work
**********************************************************************************************
** AMAROK WAS STARTED IN NORMAL MODE. IF YOU WANT TO SEE DEBUGGING INFORMATION, PLEASE USE: **
** amarok --debug **
**********************************************************************************************
[karl@CyberConan Descargas]$ amarok --debug
KGlobal::locale::Warning your global KLocale is being recreated with a valid main component instead of a fake component, this usually means you tried to call i18n related functions before your main component was created. You should not do that since it most likely will not work
amarok: BEGIN: App::App()
amarok: BEGIN: void App::continueInit()
amarok: BEGIN: EngineController::EngineController()
amarok: END__: EngineController::EngineController() [Took: 0s]
amarok: BEGIN: void EngineController::initializePhonon()
amarok: [EngineController] Tick Interval (actual): 100
amarok: END__: void EngineController::initializePhonon() [Took: 0.11s]
amarok: BEGIN: MainWindow::MainWindow()
amarok: BEGIN: CollectionManager::CollectionManager()
amarok: END__: CollectionManager::CollectionManager() [Took: 0s]
amarok: BEGIN: Plugins::PluginManager::PluginManager(QObject*)
amarok: BEGIN: void Plugins::PluginManager::findAllPlugins()
amarok: [PluginManager] found plugin: "amarok_collection-daapcollection" enabled: false
amarok: [PluginManager] found plugin: "amarok_collection-ipodcollection" enabled: false
amarok: [PluginManager] found plugin: "amarok_collection-mysqlservercollection" enabled: false
amarok: [PluginManager] found plugin: "amarok_collection-mysqlecollection" enabled: false
amarok: [PluginManager] found plugin: "amarok_collection-upnpcollection" enabled: false
amarok: [PluginManager] found plugin: "amarok_collection-audiocdcollection" enabled: false
amarok: [PluginManager] found plugin: "amarok_collection-mtpcollection" enabled: false
amarok: [PluginManager] found plugin: "amarok_collection-umscollection" enabled: false
amarok: [PluginManager] found plugin: "amarok_device_nfs" enabled: false
amarok: [PluginManager] found plugin: "amarok_device_smb" enabled: false
amarok: [PluginManager] found plugin: "amarok_device_massstorage" enabled: false
amarok: [PluginManager] found plugin: "amarok_service_ampache" enabled: false
amarok: [PluginManager] found plugin: "amarok_service_opmldirectory" enabled: false
amarok: [PluginManager] found plugin: "amarok_service_jamendo" enabled: false
amarok: [PluginManager] found plugin: "amarok_service_lastfm" enabled: false
amarok: [PluginManager] found plugin: "amarok_service_mp3tunes" enabled: false
amarok: [PluginManager] found plugin: "amarok_service_magnatunestore" enabled: false
amarok: [PluginManager] found plugin: "amarok_service_gpodder" enabled: false
amarok: [PluginManager] 18 plugins in total
amarok: END__: void Plugins::PluginManager::findAllPlugins() [Took: 0.001s]
amarok: [WARNING] [PluginManager] "Failed to get factory 'amarok_collection-ipodcollection' from KPluginLoader: El complemento «amarok_collection-ipodcollection» usa una biblioteca de KDE incompatible (4.6.4 (4.6.4))."
amarok: [WARNING] [PluginManager] "Failed to get factory 'amarok_collection-mysqlecollection' from KPluginLoader: El complemento «amarok_collection-mysqlecollection» usa una biblioteca de KDE incompatible (4.6.4 (4.6.4))."
amarok: [WARNING] [PluginManager] "Failed to get factory 'amarok_collection-audiocdcollection' from KPluginLoader: El complemento «amarok_collection-audiocdcollection» usa una biblioteca de KDE incompatible (4.6.4 (4.6.4))."
amarok: [WARNING] [PluginManager] "Failed to get factory 'amarok_collection-mtpcollection' from KPluginLoader: El complemento «amarok_collection-mtpcollection» usa una biblioteca de KDE incompatible (4.6.4 (4.6.4))."
amarok: [WARNING] [PluginManager] "Failed to get factory 'amarok_collection-umscollection' from KPluginLoader: El complemento «amarok_collection-umscollection» usa una biblioteca de KDE incompatible (4.6.4 (4.6.4))."
amarok: [PluginManager] No Amarok collection plugins found, running kbuildsycoca4.
amarok: BEGIN: virtual int App::newInstance()
amarok: BEGIN: static void App::handleCliArgs()
amarok: END__: static void App::handleCliArgs() [Took: 0s]
amarok: END__: virtual int App::newInstance() [Took: 0s]
[karl@CyberConan Descargas]$ amarok: [PluginManager] Second attempt at finding collection plugins
amarok: [WARNING] [PluginManager] "Failed to get factory 'amarok_collection-ipodcollection' from KPluginLoader: El complemento «amarok_collection-ipodcollection» usa una biblioteca de KDE incompatible (4.6.4 (4.6.4))."
amarok: [WARNING] [PluginManager] "Failed to get factory 'amarok_collection-mysqlecollection' from KPluginLoader: El complemento «amarok_collection-mysqlecollection» usa una biblioteca de KDE incompatible (4.6.4 (4.6.4))."
amarok: [WARNING] [PluginManager] "Failed to get factory 'amarok_collection-audiocdcollection' from KPluginLoader: El complemento «amarok_collection-audiocdcollection» usa una biblioteca de KDE incompatible (4.6.4 (4.6.4))."
amarok: [WARNING] [PluginManager] "Failed to get factory 'amarok_collection-mtpcollection' from KPluginLoader: El complemento «amarok_collection-mtpcollection» usa una biblioteca de KDE incompatible (4.6.4 (4.6.4))."
amarok: [WARNING] [PluginManager] "Failed to get factory 'amarok_collection-umscollection' from KPluginLoader: El complemento «amarok_collection-umscollection» usa una biblioteca de KDE incompatible (4.6.4 (4.6.4))."
Application asked to unregister timer 0x2d000004 which is not registered in this thread. Fix application.

In kde amarok shows a window with this message (in spanish, sorry):

Amarok no pudo encontrar ningún complemento de colección. Puede ser que Amarok esté instalado bajo un prefijo erróneo, corrija su instalación usando:
$ cd /ruta/a/amarok/código fuente/
$ su -c «make uninstall»
$ cmake -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix` && su -c «make install»
$ kbuildsycoca4 --noincremental
$ amarok
Puede encontrar mas información en el archivo README. Para obtener asistencia únase a nosotros en el canal #amarok de irc.freenode.net.

Steps to reproduce: Update to 2.4.1-2 version and launch. I remove all amarok configuration files but don't work too.
This task depends upon

Closed by  Andrea Scarpino (BaSh)
Monday, 27 June 2011, 23:07 GMT
Reason for closing:  Fixed
Additional comments about closing:  amarok 2.4.1-3
Comment by mond (mond) - Monday, 27 June 2011, 14:15 GMT
LC_ALL=C amarok -c --debug

amarok: [WARNING] [PluginManager] "Failed to get factory 'amarok_collection-mysqlecollection' from KPluginLoader: The plugin 'amarok_collection-mysqlecollection' uses an incompatible KDE library (4.6.4 (4.6.4))."

kde 4.6.4 is still in testing. Extra has kde 4.6.3.
Comment by Ran (ran) - Monday, 27 June 2011, 14:25 GMT
Happened to me also...
Comment by Sudeep (TwiNight) - Monday, 27 June 2011, 14:28 GMT
Yeah, me too. Exactly the same problem
Comment by Xavier Corredor Llano (epsilom) - Monday, 27 June 2011, 18:29 GMT
yes, confirmed, me too.
Comment by Lapin Roman (Lampus) - Monday, 27 June 2011, 18:37 GMT
I can confirm this bug.
Now I rebuild amarok package from abs.
Comment by Asem (asem) - Monday, 27 June 2011, 19:59 GMT
slightly different output

KGlobal::locale::Warning your global KLocale is being recreated with a valid main component instead of a fake component, this usually means you tried to call i18n related functions before your main component was created. You should not do that since it most likely will not work
socket(): Address family not supported by protocol
kmimetype filetype guessing failed for /usr/lib/libvlc.so.5.2.1
kmimetype filetype guessing failed for /usr/lib/libvlc.so.5.2.1
Comment by Andrea Scarpino (BaSh) - Monday, 27 June 2011, 20:14 GMT
I guess the problem is the kdelibs version here. Amarok has been built with kdelibs 4.6.4 in [testing], I rebuilt it with kdelibs 4.6.3, can you test it?
http://dev.archlinux.org/~andrea/pkgs/amarok-2.4.1-3-i686.pkg.tar.xz
http://dev.archlinux.org/~andrea/pkgs/amarok-2.4.1-3-x86_64.pkg.tar.xz
Comment by Sami B. (spider-mario) - Monday, 27 June 2011, 20:22 GMT
This one works, thanks.
Comment by Asem (asem) - Monday, 27 June 2011, 20:23 GMT
works again, thanks
Comment by Andrea Scarpino (BaSh) - Monday, 27 June 2011, 20:28 GMT
great. thanks, pushed in [extra]
Comment by Yahya Mohajer (yaya_2013) - Monday, 27 June 2011, 20:36 GMT
works for me on arch 64 ,kde 4.6.3 and phonon-xine backend
but it's crash with phonon-vlc backend
Thanks
Comment by Carlos (cyberconan) - Monday, 27 June 2011, 22:29 GMT
Amarok works again, great job :)

Loading...